Name:           jdepend
Version:        2.10
Release:        %mkrel 1
Group:          Development/Java
Summary:        Java Design Quality Metrics
License:        MIT
URL:            https://github.com/clarkware/jdepend
BuildArch:      noarch

Source0:        https://github.com/clarkware/jdepend/archive/refs/tags/2.10.tar.gz#/jdepend-2.10.tar.gz

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  javapackages-local

# demo subpackages was removed in mageia 9 
Obsoletes:      %{name}-demo < 2.10

%description
JDepend traverses a set of Java class and source file directories and
generates design quality metrics for each Java package. JDepend allows
you to automatically measure the quality of a design in terms of its
extensibility, reusability, and maintainability to effectively manage
and control package dependencies.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
# remove all binary libs
find . -name "*.jar" -delete
# fix strange permissions
find . -type d -exec chmod 755 {} \;

%mvn_file %{name}:%{name} %{name}

%build
ant jar javadoc

%install
%mvn_artifact jdepend:jdepend:%{version} dist/%{name}-%{version}.jar
%mvn_install -J build/docs/api

%files -f .mfiles
%doc README.md CHANGELOG.md docs
%license LICENSE.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.md


%changelog
* Mon Jul 25 2022 neoclust <neoclust> 2.10-1.mga9
+ Revision: 1871552
- New versrion 2.10
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0:2.9.1-18.mga8
+ Revision: 1491318
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0:2.9.1-17.mga7
+ Revision: 1263143
- Mageia 7 Mass Rebuild

* Fri Apr 29 2016 daviddavid <daviddavid> 0:2.9.1-16.mga6
+ Revision: 1007709
- adapt to current guideline
- introduce license macro
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0:2.9.1-14.mga6
+ Revision: 977111
- First rebuild of the java stack
- sync package jdepend with fedora

* Tue Feb 09 2016 umeabot <umeabot> 0:2.9.1-11.mga6
+ Revision: 952179
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 0:2.9.1-10.mga5
+ Revision: 811460
- Sync with fc21
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 0:2.9.1-9.mga5
+ Revision: 749258
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.9.1-8.mga5
+ Revision: 680757
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 0:2.9.1-7.mga4
+ Revision: 559864
- Use new maven depmap macros
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0:2.9.1-5.mga3
+ Revision: 355276
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 0:2.9.1-4.mga2
+ Revision: 131940
- Sync with fedora
+ gil <gil>
- edit spec file added maven pom

* Sat Jan 15 2011 mikala <mikala> 0:2.9.1-1.0.7.mga1
+ Revision: 18444
- imported package jdepend


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.9.1-1.0.7mdv2011.0
+ Revision: 606078
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.9.1-1.0.6mdv2010.1
+ Revision: 523070
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:2.9.1-1.0.5mdv2010.0
+ Revision: 425456
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0:2.9.1-1.0.4mdv2009.1
+ Revision: 351301
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:2.9.1-1.0.3mdv2009.0
+ Revision: 136503
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:2.9.1-1.0.3mdv2008.1
+ Revision: 120812
- buildrequires java-rpmbuild

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:2.9.1-1.0.2mdv2008.0
+ Revision: 87429
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Aug 05 2007 David Walluck <walluck@mandriva.org> 0:2.9.1-1.0.1mdv2008.0
+ Revision: 59159
- 2.9.1


* Thu Mar 15 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.9-2mdv2007.1
+ Revision: 144234
- rebuild for 2007.1
- Import jdepend

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:2.9-1mdv2007.0
- 2.9
- rebuild for libgcj.so.7
- aot-compile

* Sat Jan 14 2006 David Walluck <walluck@mandriva.org> 0:2.7-1mdk
- 2.7

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:2.6-3.1mdk
- release

* Tue Aug 24 2004 Randy Watler <rwatler at finali.com> - 0:2.6-3jpp
- Rebuild with ant-1.6.2

